BEFORE YOU PROCEED:

- WebTELUS application requires Adobe Flash Player. If you donít have Adobe Flash Player installed, your browser will prompt you to install it after you log in.

- You must allow pop-ups in your browser for this website.

- WebTELUS application is optimized for Firefox v.18.0.1 or later and Internet Explorer 9 or later. Please make sure that you have the latest version installed on your computer.